# Changelog information in email templates

<mark style="color:green;">SINCE 7.0.24</mark>

Email templates can refer to the complete change log in an event notification. The variable is `$!changeItems.` `$!changeItems` is a collection of Change Item objects with the attributes below:

| Attribute   | Explanation                                                                                                                  |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `field`     | Name of the field that was changed                                                                                           |
| `oldstring` | String representation of the old value of the field or a comma-separated list of removed items in case of multi-value fields |
| `newstring` | String representation of the new value of the field or a comma-separated list of removed items in case of multi-value fields |

Example template code to loop through the change items:

```
#foreach($changeItem in $!changeItems)
Field name: $!changeItem.getString("field")
Old value: $!changeItem.getString("oldstring")
New value: $!changeItem.getString("newstring")
#end
```

&#x20;The same construct is used by the `renderChanges` macro.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/outgoing-emails/email-templates/changelog-information-in-email-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
